Name:           sk2py
Version:        0.1
Release:        19%{?dist}
Summary:        Migrates Cadence Skill based PCells to Python PyCells

Group:          Applications/Engineering
License:        GPLv2

URL:            http://sk2py.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sk2py/%{name}.zip
Source1:        %{name}.desktop
Source2:        %{name}.png

BuildArch:      noarch
BuildRequires:  python2-devel desktop-file-utils
Requires:       python2-wxpython electronics-menu

%description
Sk2Py is an wxPython-based IDE which assists in the migration
of Cadence Skill(tm)-based PCells to Python PyCells for use 
in all Open Access environments.

Sk2Py is listed as a Fedora Electronic Lab (FEL) application.

%prep
%setup -q -n %{name}

# wrong-file-end-of-line-encoding
%{__sed} -i 's/\r//' NCSUpcells/*.il
%{__sed} -i 's/\r//' UTpcells/*.il

# Executable
echo "#!/bin/bash" > %{name}
echo "python %{_datadir}/%{name}/%{name}gui.py" >> %{name}

%build

%install
%{__rm} -rf %{buildroot}

install -d               \
  %{buildroot}%{_bindir} \
  %{buildroot}%{_datadir}/%{name}/Plex \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

install -pm 0755 %{name} %{buildroot}%{_bindir}

install -pm 0644 *.py %{buildroot}%{_datadir}/%{name}
%{__python} *.py install --skip-build --root %{buildroot}

install -pm 0644 Plex/*.py  %{buildroot}%{_datadir}/%{name}/Plex
%{__python} Plex/*.py install --skip-build --root %{buildroot}

install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor=fedora         \
%endif
  --dir %{buildroot}%{_datadir}/applications \
  --add-category "Electronics"               \
  %{SOURCE1}


%files
%defattr(-,root,root,-)
%doc NCSUpcells/
%doc UTpcells/
%{_bindir}/%{name}
%{_datadir}/%{name}
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Sun Mar 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1-19
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1-17
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-10
- Remove --vendor from desktop-file-install for F19+ https://fedorahosted.org/fesco/ticket/1077

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-5
- recompiling .py files against Python 2.7 (rhbz#623360)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1-2
- Rebuild for Python 2.6

* Sat Jun 07 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1-1
- Initial Package
